/**
 * \ingroup applications
 * \defgroup wimax WimaxApplication
 *
 * WimaxApplication(s) are four different traffic generators, described in
 * "Traffic Model for 802.16 TG3 MAC/PHY Simulations"
 * http://www.ieee802.org/16/tg3/contrib/802163c-01_30r1.pdf
 *
 * The models aim at generating traffic for the following applications:
 * - Wimax4ippApplication: HTTP/TCP and FTP traffic
 * - Wimax1ippApplication: Individual Subscriber Internet traffic
 * - Wimax1idpApplication: Voice traffic
 * - Wimax2irpApplication: Video traffic
 *
 * This traffic generators follow a mixture of On/Off patterns: after
 * Application::StartApplication
 * is called, "On" and "Off" states alternate, but each application
 * might have a different number of sub-generators.
 * During the "Off" state, no traffic is generated.
 * During the "On" state, some traffic is generated, the exact
 * pattern being dependant on the generator.
 *
 * For further details about the generators and how to fine-tune their
 * parameters (DataRate mainly), you shall read the standard.
 */
